Bug 52252 - [Qt] Use a black background color for the video element on Qt Mobile
Summary: [Qt] Use a black background color for the video element on Qt Mobile
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P3 Normal
Assignee: Yi Shen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-11 14:14 PST by Yi Shen
Modified: 2011-01-13 10:59 PST (History)
7 users (show)

See Also:


Attachments
first try (1016 bytes, patch)
2011-01-11 17:12 PST, Yi Shen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Shen 2011-01-11 14:14:09 PST
According to the UI specification for Html5 inline video on Symbian, if there is no poster defined or video frame data is available, the webpage should display a black box which fits the video element area.

The easiest implementation is to use a black background color for the video element. I will add a patch for review soon. Comments & Suggestions are super welcome! :)
Comment 1 Yi Shen 2011-01-11 17:12:29 PST
Created attachment 78629 [details]
first try
Comment 2 Yi Shen 2011-01-12 13:52:08 PST
Eric, could you also please take a look at this patch? Thx
Comment 3 Eric Seidel 2011-01-12 14:02:58 PST
Comment on attachment 78629 [details]
first try

I mean, I know nothing about this.  But I'm willing to rs=me this patch.
Comment 4 Eric Seidel 2011-01-12 14:06:39 PST
In general the other eric knows a lot more about <video> and <audio> related stuff.  I'm not sure he has much opinion on how <video> looks on symbian (i'm not sure any of us who don't work on symbian really care).
Comment 5 Yi Shen 2011-01-12 14:18:42 PST
(In reply to comment #4)
> In general the other eric knows a lot more about <video> and <audio> related stuff.  I'm not sure he has much opinion on how <video> looks on symbian (i'm not sure any of us who don't work on symbian really care).

Thanks Eric :) I am going to ask other qt/symbian guys for some comments.
Comment 6 Andreas Kling 2011-01-13 06:49:08 PST
Comment on attachment 78629 [details]
first try

cq=me ;)
Comment 7 WebKit Commit Bot 2011-01-13 07:29:36 PST
Comment on attachment 78629 [details]
first try

Clearing flags on attachment: 78629

Committed r75712: <http://trac.webkit.org/changeset/75712>
Comment 8 WebKit Commit Bot 2011-01-13 07:29:43 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Ademar Reis 2011-01-13 10:57:56 PST
Revision r75712 cherry-picked into qtwebkit-2.2 with commit b92afdd <http://gitorious.org/webkit/qtwebkit/commit/b92afdd>